<?php declare(strict_types=1);

namespace BitBadger\PDODocument\Mapper;

/**
 * A mapper that returns the integer value of the first item in the results
 */
class CountMapper implements Mapper
{
    /**
     * @inheritDoc
     */
    public function map(array $result): int
    {
        return (int) $result[0];
    }
}
